Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1080644 - [Docs] [Admin] 13.8 Editing Third Party Resources
Summary: [Docs] [Admin] 13.8 Editing Third Party Resources
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.4.0
Assignee: Andrew Dahms
QA Contact: Julie
URL:
Whiteboard:
Depends On:
Blocks: RHEV-RHCI
TreeView+ depends on / blocked
 
Reported: 2014-03-25 20:46 UTC by Matt Reid
Modified: 2014-09-19 01:33 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 13109, Administration Guide-3.3-1 Build Date: 09-01-2014 15:36:24 Topic ID: 25098-566976 [Latest]
Last Closed: 2014-09-19 01:33:24 UTC
oVirt Team: ---


Attachments (Terms of Use)
Editing Providers Table (deleted)
2014-03-25 20:47 UTC, Matt Reid
no flags Details
Adding Providers Table (deleted)
2014-03-25 20:48 UTC, Matt Reid
no flags Details

Description Matt Reid 2014-03-25 20:46:53 UTC
Title: Edit Provider General Settings Explained

Describe the issue: This section seems to be exactly the same as the Adding Providers section. 


Suggestions for improvement: Do we need a section talking about how to edit a provider? Generally there's going to be a large overlap between edit and add dialogs, with perhaps a few options now locked once you've created it. Not sure how this is handled elsewhere in the doc, if they're spelled out individually like this or not, but it doesn't seem like it adds much value, the two sections are right next to each other in the doc.


Additional information:

Comment 1 Matt Reid 2014-03-25 20:47:44 UTC
Created attachment 878684 [details]
Editing Providers Table

Comment 2 Matt Reid 2014-03-25 20:48:02 UTC
Created attachment 878685 [details]
Adding Providers Table

Comment 3 Andrew Dahms 2014-03-26 06:25:17 UTC
Hi Matt,

Thank you for raising this bug.

The section on external providers now includes new procedures and additional content on how to user providers.
I will also add more detail to the sections on settings to increase their clarity.

Kind regards,

Andrew

Comment 4 Andrew Dahms 2014-04-27 04:00:51 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.4/html-single/Administration_Guide/index.html#Editing_an_External_Provider

What Changed
------------------------------
When the chapter on external providers was first created, I was asked a section for adding external providers and a section for editing external providers given the possibility that the options for these actions might change in the future, and that it would be preferable to keep these actions separate.

As such, I have changed the layout of the sections on adding providers and editing providers so that the user workflow is more clear. The changes made are as follows - 

The content spec [22626] was edited to create an 'Adding an External Provider' section and 'Editing an External Provider' section with topics related to adding external providers in the former and the settings table for editing external providers in the latter.

The following topic was added as a simple procedure for accessing the Edit External Provider window -

Editing an External Provider [30204]

Updated revision history: [30102-633821]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Administration_Guide-3.4-en-US-3.4-23

Moving to ON_QA.

Comment 5 Jodi Biddle 2014-07-14 15:16:53 UTC
Hi Matt

Can you please provide some QE on this bug? If it looks good please change the status of the bug to verified. Thanks

Comment 6 Jodi Biddle 2014-07-14 15:17:31 UTC
(In reply to Jodi Biddle from comment #5)
> Hi Matt
> 
> Can you please provide some QE on this bug? If it looks good please change
> the status of the bug to verified. Thanks

Forgot to needinfo

Comment 7 Matt Reid 2014-07-15 19:04:24 UTC
There's more section specific information now outside of the tables, but the tables are still virtually identical between the adding and editing sections, with the only difference I could see being a few less words in the Username section of OpenStack Network in the Adding Providers table (which should probably be added back in).

Could the tables be standardized and only shown once until there are differences? When the day comes that there are differences between what you can do in edit vs add, then the edit section could just note the differences, instead of being an exhaustive list of all the options. Still seems weird to me to have large identical tables in back to back sections that take up a lot of room and are word for word exact. 

If having the tables makes more sense from a doc maintainability standpoint, or doc process or something, then feel free to close and ignore me :) Just seems like it currently adds length to the doc for no benefit until there are actually differences in configuration between add/edit.

Comment 8 Julie 2014-07-21 19:48:50 UTC
Hey Andrew,
   Could you take a look at this?

Thanks,
Julie

Comment 9 Julie 2014-07-28 04:39:20 UTC
Hi Andrew,
Flipping this back to assigned. Please update this bug move it back to ON_QA.

Thanks,
Julie

Comment 10 Andrew Dahms 2014-08-05 03:22:42 UTC
I agree - the section outlining settings in the Edit Provider window has now been taken out.
I will post the change the next time the book is built.

Comment 11 Andrew Dahms 2014-08-19 10:30:59 UTC
Hi Matt,

The table for editing external providers has now been removed so that there is only a single table. The user name entries for each of the services contains some information about each of the user names to be added, and more information on working with each of the types of providers is now available in the separate topics.

The section, with the second table removed, can be found here:

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#Explanation_of_Settings_and_Controls_in_the_Add_Provider_and_Edit_Provider_Windows

Kind regards,

Andrew

Comment 12 Matt Reid 2014-08-26 13:53:23 UTC
Awesome, I think that's a nice improvement!

Comment 13 Andrew Dahms 2014-08-26 22:12:28 UTC
Hi Matt,

Great to hear - thank you for taking the time to take a look at this.

I will put the bug up for an internal QA now, and please let me know if you have any further feedback regarding any of our other sections and I will see what I can do for you.

Kind regards,

Andrew

Comment 14 Andrew Dahms 2014-08-26 22:43:52 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Administration_Guide/index.html#Adding_a_Third_Party_Resource_Provider

What Changed
------------------------------
In the chapter on external providers, the following changes were made:

The chapter was restructured so that it would include clear 'Add', 'Edit', and 'Remove' sections.

The following topic was added as a simple procedure for accessing the Edit External Provider window -

Editing an External Provider [30204]

The table outlining options for editing external providers has been removed.

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Administration_Guide-3.5-Beta-en-US-3.5-12

Comment 15 Julie 2014-09-02 13:44:03 UTC
Verified in the 3.5 Beta build.


Note You need to log in before you can comment on or make changes to this bug.